%define upstream_name    Devel-Leak
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Utility for looking for perl objects that are not reclaimed
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%{?perl_default_filter}

%description
Devel::Leak has two functions 'NoteSV' and 'CheckSV'.

'NoteSV' walks the perl internal table of allocated SVs (scalar values) -
(which actually contains arrays and hashes too), and records their
addresses in a table. It returns a count of these "things", and stores a
pointer to the table (which is obtained from the heap using malloc()) in
its argument.

'CheckSV' is passed argument which holds a pointer to a table created by
'NoteSV'. It re-walks the perl-internals and calls sv_dump() for any
"things" which did not exist when 'NoteSV' was called. It returns a count
of the number of "things" now allocated.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

#fix rights
chmod 755 %{buildroot}%{perl_vendorarch}/auto/Devel/Leak/Leak.so

%files
%doc README
%{_mandir}/man3/*
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Devel/



%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-7.mga6
+ Revision: 1025509
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.30.0-6.mga6
+ Revision: 957145
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.30.0-5.mga6
+ Revision: 844858
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 0.30.0-4.mga6
+ Revision: 840780
- Rebuild for the new perl

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-3.mga5
+ Revision: 740278
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.30.0-2.mga5
+ Revision: 735560
- add exclude

* Sun Sep 21 2014 wally <wally> 0.30.0-1.mga5
+ Revision: 705650
- imported package perl-Devel-Leak


* Sun Sep 21 2014 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
